import { CompressionPlugin } from "./definition/CompressionPlugin";
export interface CompressedData {
    compression: string;
    value: string;
}
export interface OriginalData {
    [key: string]: any;
}
declare class GzipCompression extends CompressionPlugin {
    canCompress(data: any): boolean;
    compress(data: any): Promise<{
        compression: string;
        value: string;
    }>;
    canDecompress(data: CompressedData | Record<string, any>): boolean;
    decompress(data: CompressedData): Promise<OriginalData | null>;
}
export declare const createGzipCompression: () => GzipCompression;
/**
 * Left due to backward compatibility with older systems.
 * Remove when upgraded the system to run from @webiny/api-serverless-cms-aws
 */
declare const _default: () => GzipCompression;
export default _default;
