"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.ElasticsearchQueryBuilderOperatorInPlugin = void 0;
var _ElasticsearchQueryBuilderOperatorPlugin = require("../definition/ElasticsearchQueryBuilderOperatorPlugin");
class ElasticsearchQueryBuilderOperatorInPlugin extends _ElasticsearchQueryBuilderOperatorPlugin.ElasticsearchQueryBuilderOperatorPlugin {
  name = "elasticsearch.queryBuilder.operator.in.default";
  getOperator() {
    return "in";
  }
  apply(query, params) {
    const {
      value: values,
      path,
      basePath,
      name
    } = params;
    const isArray = Array.isArray(values);
    if (isArray === false || values.length === 0) {
      throw new Error(`You cannot filter field "${name}" with "in" operator and not send an array of values.`);
    }

    // Only use ".keyword" if all of the provided values are strings.
    const useBasePath = values.some(value => typeof value !== "string");
    query.filter.push({
      terms: {
        [useBasePath ? basePath : path]: values
      }
    });
  }
}
exports.ElasticsearchQueryBuilderOperatorInPlugin = ElasticsearchQueryBuilderOperatorInPlugin;

//# sourceMappingURL=in.js.map